<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <!-- Custom CSS -->
    <link href="styles.css" rel="stylesheet">

    <title>Twitter-like Homepage</title>
</head>
<body>
<!-- Navigation Bar -->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container">
        <a class="navbar-brand" href="/">Twitter-like</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="/">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/explore">Explore</a>
                </li>
            </ul>
            <form class="form-inline my-2 my-lg-0">
                <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
            </form>
            <ul class="navbar-nav ml-auto">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                       data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fas fa-user"></i> Profile
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <a class="dropdown-item" href="/profile">My Profile</a>
                        <a class="dropdown-item" href="/settings">Settings</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="/logout">Logout</a>
                    </div>
                </li>
            </ul>
        </div>
    </div>
</nav>


<div class="container mt-5">
    <!-- New Tweet Form -->
    <div class="row">
        <div class="col-md-6 mx-auto">
            <div class="card">
                <div class="card-body">
                    <form>
                        <div class="form-group">
                            <label for="newTweet">What's happening?</label>
                            <textarea class="form-control" id="newTweet" rows="3"
                                      placeholder="Write your tweet here..."></textarea>
                        </div>
                        <button type="submit" class="btn btn-primary">Tweet</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!-- News Feed -->
    <div class="row mt-4">
        <div class="col-md-6 mx-auto">
            <div class="card">
                <div class="card-header">
                    <h4 class="mb-0">News Feed</h4>
                </div>
                <ul class="list-group list-group-flush">
                    <li class="list-group-item">
                        <div class="tweet">
                            <img src="https://secure.gravatar.com/avatar/40d4e7caf1ddd071f41d949588fc3303?s=40&d=identicon" alt="User Image" class="img-fluid rounded-circle mr-2" width="40">
                            <strong><a href="profile.html" class="text-decoration-none">User 1</a></strong>
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. <span
                                    class="text-muted">1h ago</span></p>
                            <div class="tweet-actions float-right">
                                <a href="#"><i class="fas fa-retweet mr-1"></i><span class="repost-count">10</span></a>
                                <a href="#" class="ml-3"><i class="fas fa-heart mr-1"></i><span
                                        class="like-count">20</span></a>
                            </div>
                        </div>
                    </li>
                    <li class="list-group-item">
                        <!-- Reposted Tweet -->
                        <div class="tweet">
                            <img src="https://secure.gravatar.com/avatar/40d4f7caf1ddd071f41d949588fc3303?s=40&d=identicon" alt="User Image" class="img-fluid rounded-circle mr-2" width="40">
                            <strong><a href="profile.html" class="text-decoration-none">User 2</a></strong> retweeted
                            <p><strong><a href="profile.html" class="text-decoration-none">@user3</a>:</strong>
                                Curabitur venenatis dui in libero maximus, vel auctor metus ullamcorper. <span
                                        class="text-muted">1 day ago</span></p>
                            <div class="tweet-actions float-right">
                                <a href="#"><i class="fas fa-retweet mr-1"></i><span class="repost-count">5</span></a>
                                <a href="#" class="
ml-3"><i class="fas fa-heart mr-1"></i><span class="like-count">30</span></a>
                            </div>
                        </div>
                    </li>
                    <li class="list-group-item">
                        <div class="tweet">
                            <img src="https://secure.gravatar.com/avatar/322e6878c2ab00041b21b8d9c2c37682?s=40&d=identicon" alt="User Image" class="img-fluid rounded-circle mr-2" width="40">
                            <strong><a href="profile.html" class="text-decoration-none">User 4</a></strong>
                            <p>Praesent ullamcorper metus sit amet mauris consequat, vel egestas nulla bibendum. <span
                                    class="text-muted">5h ago</span></p>
                            <div class="tweet-actions float-right">
                                <a href="#"><i class="fas fa-retweet mr-1"></i><span class="repost-count">15</span></a>
                                <a href="#" class="ml-3"><i class="fas fa-heart mr-1"></i><span
                                        class="like-count">25</span></a>
                            </div>
                        </div>
                    </li>
                    <li class="list-group-item">
                        <div class="tweet">
                            <img src="https://secure.gravatar.com/avatar/40d4e2caf1ddd071f41d949588fc3303?s=40&d=identicon" alt="User Image" class="img-fluid rounded-circle mr-2" width="40">
                            <strong><a href="profile.html" class="text-decoration-none">User 5</a></strong>
                            <p>Curabitur venenatis dui in libero maximus, vel auctor metus ullamcorper. <span
                                    class="text-muted">1 day ago</span></p>
                            <div class="tweet-actions float-right">
                                <a href="#"><i class="fas fa-retweet mr-1"></i><span class="repost-count">5</span></a>
                                <a href="#" class="ml-3"><i class="fas fa-heart mr-1"></i><span
                                        class="like-count">30</span></a>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
            <!-- Pagination -->
            <nav aria-label="Page navigation example" class="mt-4">
                <ul class="pagination justify-content-center">
                    <li class="page-item">
                        <a class="page-link" href="#" aria-label="Previous">
                            <span aria-hidden="true">&laquo;</span>
                            <span class="sr-only">Previous</span>
                        </a>
                    </li>
                    <li class="page-item"><a class="page-link" href="#">1</a></li>
                    <li class="page-item"><a class="page-link" href="#">2</a></li>
                    <li class="page-item"><a class="page-link" href="#">3</a></li>
                    <li class="page-item">
                        <a class="page-link" href="#" aria-label="Next">
                            <span aria-hidden="true">&raquo;</span>
                            <span class="sr-only">Next</span>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
</div>

<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>